Bug 220391 - [GPUProcess] Implement GPUProcess crash recovery for MediaElementAudioSourceNode
Summary: [GPUProcess] Implement GPUProcess crash recovery for MediaElementAudioSourceNode
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Audio (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-01-06 16:46 PST by Chris Dumez
Modified: 2021-02-11 11:49 PST (History)
15 users (show)

See Also:


Attachments
Patch (22.83 KB, patch)
2021-01-07 10:34 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2021-01-06 16:46:40 PST
[GPUProcess] Implement GPUProcess crash recovery for MediaElementAudioSourceNode. WebAudio generally handles GPUProcess crashes nicely. However, it is currently not the case when the audio graph contains a MediaElementAudioSourceNode. This is because the MediaElementAudioSourceNode get's its input from the GPUProcess.
Comment 1 Chris Dumez 2021-01-07 10:34:50 PST
Created attachment 417186 [details]
Patch
Comment 2 Geoffrey Garen 2021-01-07 11:36:09 PST
Comment on attachment 417186 [details]
Patch

r=me
Comment 3 EWS 2021-01-07 11:49:42 PST
Committed r271245: <https://trac.webkit.org/changeset/271245>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 417186 [details].
Comment 4 Radar WebKit Bug Importer 2021-01-07 11:50:17 PST
<rdar://problem/72898457>